
QGIS Application - Bug report #20161

Crash after loading several spatial tables from Esri File GDB 10.6.0 to PostGIS 2.4

2018-10-18 08:43 PM - BrianBoru  Quinn

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:3.2.3 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27982

Description

User Feedback

Importing features to PostGIS from Esri File GDB 10.6.0 using DB Manager

Report Details

Crash ID: 00a05be50d7f63e88b840fa2c23d0bc64bd8323e

Stack Trace

X509_subject_name_cmp :

X509_LOOKUP_by_alias :

OBJ_bsearch_ex_ :

sk_find :

X509_OBJECT_retrieve_match :

X509_STORE_add_cert :

QSslCertificate::version :

QSslCertificate::version :

QSslEllipticCurve::shortName :

QSslEllipticCurve::shortName :

QSslSocket::startClientEncryption :

QSslSocket::~QSslSocket :

QMetaObject::activate :

operator<< :

QTcpServer::waitForNewConnection :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

QEventLoop::exec :

QThread::exec :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4
System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-10-18 10:08 PM - Saber Razmjooei

- Subject changed from QGIS Desktop 3.2.3 Windows 10, crash after loading several spatial tables from Esri File GDB 10.6.0 to PostGIS 2.4 to Crash 

after loading several spatial tables from Esri File GDB 10.6.0 to PostGIS 2.4

#2 - 2018-10-19 10:57 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Low to High

- Status changed from Open to Feedback

Please attach data we can use to replicate the issue.

#3 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#4 - 2019-02-11 04:16 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to no timely feedback
